[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="regionTypes"]]
  [[#if (urlParam "resiri")]]
      <li class="breadcrumb-item">
        <semantic-query
          query='SELECT ?type ?type_name WHERE
            {
              ?type ecrm:P3_has_note ?type_name .
              BIND(<[[urlParam "resiri"]]> as ?type)
             }'
          template='{{#each bindings}}
            <semantic-link uri=":viewRegionType" urlqueryparam-regiontypeiri="{{type.value}}">{{type_name.value}}</semantic-link>
          {{/each}}'>
        </semantic-query>
      </li>
  [[else]]
    [[> :templateBreadcrumb uri=":addRegionTypeLabel" label="Add new region type"]]
  [[/if]]
</ol>

[[#if (urlParam "resiri")]]
  <h2>Edit region type</h2>
[[else]]
  <h2>Add new region type</h2>
[[/if]]
<semantic-form
  persistence='LDP'
	browser-persistence='false'
  [[#if (urlParam "redirectpriority")]]
    post-action="[[urlParam "redirectpriority"]]"
    [[#if (urlParam "redirect")]]
      urlqueryparam-redirect="[[urlParam "redirect"]]"
    [[/if]]
  [[else]]
    [[#if (urlParam "redirect")]]
      post-action="[[urlParam "redirect"]]"
      [[#if (urlParam "bookiri")]]
        urlqueryparam-bookiri="[[urlParam "bookiri"]]"
      [[/if]]
      [[#if (urlParam "pageiri")]]
        urlqueryparam-pageiri="[[urlParam "pageiri"]]"
      [[/if]]
    [[else]]
      post-action='http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms'
      urlqueryparam-tab='regionTypes'
    [[/if]]
  [[/if]]
  fields="[[fieldDefinitions
 			region_type_member="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/region_type_member"
  		label="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/has_note"
      record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/type_record_type"
  ]]"
  [[#if (urlParam "resiri")]]
    subject="[[urlParam "resiri"]]"
  [[else]]
    subject="http://sphaera.mpiwg-berlin.mpg.de/id/thes/type/[[singleValueFromSelect "SELECT ?label WHERE { <http://sphaera.mpiwg-berlin.mpg.de/id/thes/type/placeholder> rdfs:label ?label }" ]]"
  [[/if]]
>
 	<semantic-form-text-input for="label"></semantic-form-text-input>

   <div class="disabled hidden-field">
		<semantic-form-text-input for="region_type_member"></semantic-form-text-input>
		<semantic-form-text-input for="record_type"></semantic-form-text-input>
   </div>

   <div class="text-right form-submit">
     <semantic-link uri="http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms" urlqueryparam-tab="regionTypes" class="btn btn-default">Cancel</semantic-link>
     <button name="submit" class="btn btn-primary">Save</button>
   </div

</semantic-form>


[[#if (urlParam "resiri")]]
  <div>
    <semantic-link
        uri=":deleteResource"
        urlqueryparam-resiri="[[urlParam "resiri"]]"
        urlqueryparam-back=":manageTerms"
        urlqueryparam-tab="regionTypes"
        urlqueryparam-backtitle="Manage Terms"
      >
        Delete Region Type
      </semantic-link>
    </div>
[[/if]]

[[> :footer]]
